@mixin styling($cubeSize) {

  ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }

  nav {
    height: $cubeSize;
    width: $cubeSize;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    perspective: 1000px;
    z-index: 2;
  }

  .side {
    color: white;
    background-color: #2C2C2C;
    border-radius: 10px;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.5);
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    padding: 20px;
  }

  .frontFace {
    z-index: 5;
  }

  #cube {
    position: absolute;
    height: 100%;
    width: 100%;
    transform-style: preserve-3d;
    transform: translateZ(-120px);
    transition: transform 0.6s cubic-bezier(0.11, 0.93, 0.65, 0.92);
  }

  .side:nth-child(6n+1) {
    transform: rotateY(0deg) translateZ($cubeSize/2);
  }

  .side:nth-child(6n+2) {
    transform: rotateY(90deg) translateZ($cubeSize/2);
  }

  .side:nth-child(6n+3) {
    transform: rotateX(180deg) translateZ($cubeSize/2);
  }

  .side:nth-child(6n+4) {
    transform: rotateY(-90deg) translateZ($cubeSize/2);
  }

  .side:nth-child(6n+5) {
    transform: rotateX(-90deg) translateZ($cubeSize/2);
  }

  .side:nth-child(6n+6) {
    transform: rotateX(90deg) translateZ($cubeSize/2);
  }

  #cube.home {
    transform: translateZ(-($cubeSize/2)) rotateY(0deg);
  }
  #cube.training {
    transform: translateZ(-($cubeSize/2)) rotateY(90deg);
  }
  #cube.skills {
    transform: translateZ(-($cubeSize/2)) rotateX(180deg);
  }
  #cube.about {
    transform: translateZ(-($cubeSize/2)) rotateX(-90deg);
  }
  #cube.experience {
    transform: translateZ(-($cubeSize/2)) rotateY(-90deg);
  }
  #cube.languages {
    transform: translateZ(-($cubeSize/2)) rotateX(90deg);
  }

  div.navBar {
    font-family: Raleway;
    margin: 0 auto;
    position: absolute;
    z-index: 3;
    width: 100%;
    top: 5%;
    text-align: center;
    display: inline-flex;
    justify-content: center;

    a {
      color: #2C2C2C;
      text-decoration: none;
      font: 20px Raleway;
      margin: 0px 10px;
      padding: 10px 10px;
      position: relative;
      z-index: 0;
      cursor: pointer;
    }
  }

  .navArrow {
    display: none;
  }

  @media screen and (max-width: 740px), screen and (max-height: 640px) {
    .navBar {
      .navOption {
        display: none;
      }
      .navOption.currentNavOption {
        display: block;
      }
      .navArrow {
        display: block;
      }
    }
  }

  /* Border X get width  */
  div.borderXwidth a.navOption:before, div.borderXwidth a.navOption:after
  {
      position: absolute;
      opacity: 0;
      width: 0%;
      height: 2px;
      content: '';
      background: #2C2C2C;
      transition: all 0.3s;
  }

  div.borderXwidth a:before
  {
      left: 0px;
      top: 0px;
  }

  div.borderXwidth a:after
  {
      right: 0px;
      bottom: 0px;
  }

  div.borderXwidth a:hover:before, div.borderXwidth a:hover:after
  {
      opacity: 1;
      width: 100%;
  }
}

@media screen and (max-width: 740px), screen and (max-height: 640px){
  @include styling($cubeSize:240px);
}

@media screen and (min-width: 741px) and (min-height: 641px){
  @include styling($cubeSize:480px);
}
